Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.properties
Interface HasProperties

All Known Implementing Classes:
  BisectingKMeans, CentroidBoostLabeler, CentroidLabeler, CentroidRankingBoostLabeler, Clusterer, CombinedCentroidLabeler, CountWeighter, DenseISimilarity, DummyClass, Evaluation, Experimentator, ExperimentatorNumberOfWords, ExperimentatorReductionReduction, ExperimentResultGenerator, ExperimentResultGenerator, FileConverter, GroupingAlgorithm, GroupMerger, IMatrixCellFilter, InfomatModel, IObjectGroupingTextResult, IObjectGroupTextResult, ISimilarity, IVectorCategorizer, JSDMSimilarity, JSDMWrapper, KMeans, Labeler, LabelReducer, LocationGrouper, Normalizer, RandomClusterer, RelativeClusterer, RelativeLabeler, RIIO, SparseDotSimilarity, SparseISimilarity, SparseLiteralSimilarity, SparseOverlapSimilarity, Stoplist, TFIDFWeighter, TFWeighter, Weighter, WeightRankingBoostLabeler

    public interface HasProperties

An interface for classes that has a Properties-object.

Method Summary
`Properties` | `getDefaultProperties()`
`Properties` | `getProperties()`
`java.lang.Object` | `getPropertyValue(java.lang.String name)`
`void` | `setProperties(Properties properties)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Method Detail

### getDefaultProperties

    Properties getDefaultProperties()

### getPropertyValue

    java.lang.Object getPropertyValue(java.lang.String name)

### setProperty

    void setProperty(java.lang.String name,
                     java.lang.Object value)
                     throws PropertyNotFoundException

  Throws:
    `PropertyNotFoundException`

### getProperties

    Properties getProperties()

### setProperties

    void setProperties(Properties properties)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD